﻿using System;
using System.Windows.Forms;

using System.Data;
using System.Data.SqlClient;
using System.Configuration;

namespace Insert_Output_Parameter_SP_Windows_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            cbCountries.Items.Add("United States");
            cbCountries.Items.Add("India");
            cbCountries.Items.Add("France");
            cbCountries.Items.Add("Russia");
        }

        private void OnInsert(object sender, EventArgs e)
        {
            string spName = "Customers_InsertCustomer_Output";
            string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
            using (SqlConnection con = new SqlConnection(constr))
            {
                using (SqlCommand cmd = new SqlCommand(spName))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.Parameters.AddWithValue("@Name", txtName.Text);
                    cmd.Parameters.AddWithValue("@Country", cbCountries.SelectedItem);
                    cmd.Parameters.Add("@CustomerId", SqlDbType.Int);
                    cmd.Parameters["@CustomerId"].Direction = ParameterDirection.Output;
                    cmd.Connection = con;
                    con.Open();
                    cmd.ExecuteNonQuery();
                    con.Close();

                    string customerId = Convert.ToString(cmd.Parameters["@CustomerId"].Value);
                    txtName.Text = string.Empty;
                    cbCountries.Text = string.Empty;
                    MessageBox.Show("Inserted Customer ID: " + customerId);
                }
            }
        }
    }
}
